SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Data Fields
SUOverlayCreateInfo Struct Reference

Arguments for creating an overlay object. More...

`#include <SketchUpAPI/application/overlay.h>`

## Data Fields
enum SUOverlayCreateInfoVersion | version
| Version of the struct. This must always be set to SUOVERLAY_CREATE_INFO_VERSION.
void * | user_data
const char * | id
| Unique id for the overlay.
const char * | name
| Name of the overlay. This will be displayed to user.
const char * | desc
| Description of the overlay. This will be displayed to user.
const char * | source
| Source of the overlay. This will be displayed to user.
enum SUOverlayImageFormat | image_format
| Image format of the overlay color buffer.
enum SUOverlayImageOrientation | image_orientation
| Image orientation of the overlay color and depth buffer.
SUOverlayStartFuncT | start
| A function that will be called when user enables the overlay.
SUOverlayStopFuncT | stop
| A function that will be called when user disables the overlay.
SUOverlayGetExtentsFuncT | get_extents
| A function that should return bounds of the overlay.
SUOverlayBeginFrameFuncT | begin_frame
| Function that SketchUp will call at the beginning of a frame.
SUOverlayDrawFrameFuncT | draw_frame
| Function that SketchUp will call to get overlay buffers and blending information.
SUOverlayEndFrameFuncT | end_frame

## Detailed Description

Arguments for creating an overlay object.

## Field Documentation

SUOverlayEndFrameFuncT SUOverlayCreateInfo::end_frame

Function that SketchUp will call to signal the resources passed in draw_frame are no longer needed. SUOverlayDrawFrameInfo::color and SUOverlayDrawFrameInfo::depth buffers must be valid until the end_frame callback is called.

void* SUOverlayCreateInfo::user_data

A pointer that will passed directly back into provided callbacks. SketchUp will not access this pointer.

The documentation for this struct was generated from the following file:

- SketchUpAPI/application/overlay.h